function [mapI, vmapI, mapO, vmapO] = BuildBCMaps()

% create specific inflow and outflow boundary maps

Globals3D;

dotproducts = a_advec * n_x(mapB) + b_advec * n_y(mapB) + c_advec * n_z(mapB);
mapI_ind = find(dotproducts < -1e-9);
mapI = mapB(mapI_ind);
vmapI = vmapM(mapI);
mapO = setdiff(mapB,mapI);
vmapO = vmapM(mapO);

end